clear

clear
[filename,pathname] = uigetfile('*.mat', 'Otevreni datoveho souboru');
fname=[pathname,filename];
load(fname);
% T1DATA = load(fname);
%promena = filename(1:length(filename)-4);
%load t1data_0min.asc
Tmax = 15e-3;
fvz = 20000; %Hz
Tvz = 1/fvz;
NS = length(DATA);
Tdel = Tmax - NS*Tvz;
DEL = zeros(1,Tmax/Tvz-NS);

a=[DATA(1,:) DEL DATA(2,:) DEL DATA(3,:) DEL DATA(4,:) DEL DATA(5,:) DEL DATA(6,:) DEL DATA(7,:) DEL  DATA(8,:) DEL DATA(9,:) DEL DATA(10,:)];
figure(1)
plot((1:length(a))*Tvz,real(a),(1:length(a))*Tvz,imag(a))
xlabel('t / s');
ylabel('s(t)');
legend('real s(t)','imag s(t)');
axis([0 0.16 -15000 15000]);
